Package org.jboss.resteasy.plugins.providers.atom.app

## Class AppCollection

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.atom.app.AppCommonAttributes
  - - org.jboss.resteasy.plugins.providers.atom.app.AppCollection

- All Implemented Interfaces:
    `Serializable`

      public class AppCollection
      extends AppCommonAttributes

  Per RFC5023:

       The "app:collection" element describes a Collection.  The app:
          collection element MUST contain one atom:title element.

          The app:collection element MAY contain any number of app:accept
          elements, indicating the types of representations accepted by the
          Collection.  The order of such elements is not significant.

          The app:collection element MAY contain any number of app:categories
          elements.

          appCollection =
             element app:collection {
                appCommonAttributes,
                attribute href { atomURI  },
                ( atomTitle
                  & appAccept*
                  & appCategories*
                  & extensionSansTitleElement* )
             }

  Version:
    $Revision: 1 $
  Author:
    Kurt Stam
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<AppAccept>` | `accept` |
    `protected List<Object>` | `any` |
    `protected List<AppCategories>` | `categories` |
    `protected String` | `href` |
    `protected String` | `title` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AppCollection()` |
    `AppCollection​(String href, String title)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<AppAccept>` | `getAccept()` | Gets the value of the accept property.
    `List<Object>` | `getAny()` | Gets the value of the any property.
    `List<AppCategories>` | `getCategories()` | Gets the value of the categories property.
    `String` | `getHref()` | Gets the value of the href property.
    `String` | `getTitle()` | Gets the value of the title property.
    `void` | `setHref​(String value)` | Sets the value of the href property.
    `void` | `setTitle​(String value)` | Sets the value of the title property.

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.atom.app.AppCommonAttributes

      `getBase, getLang, getOtherAttributes, getSpace, setBase, setLang, setSpace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### href

          protected String href

    - #### title

          protected String title

    - #### accept

          protected List<AppAccept> accept

    - #### categories

          protected List<AppCategories> categories

    - #### any

          protected List<Object> any

  - ### Constructor Detail

    - #### AppCollection

          public AppCollection()

    - #### AppCollection

          public AppCollection​(String href,
                               String title)

  - ### Method Detail

    - #### getTitle

          public String getTitle()

      Gets the value of the title property.
      Returns:
        possible object is `String`

    - #### setTitle

          public void setTitle​(String value)

      Sets the value of the title property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAccept

          public List<AppAccept> getAccept()

      Gets the value of the accept property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the accept property.

      For example, to add a new item, do as follows:

           getAccept().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

      Returns:
        list of `AppAccept`

    - #### getCategories

          public List<AppCategories> getCategories()

      Gets the value of the categories property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the categories property.

      For example, to add a new item, do as follows:

           getCategories().add(newItem);

      Objects of the following type(s) are allowed in the list `AppCategories`

      Returns:
        list of `AppCategories`

    - #### getAny

          public List<Object> getAny()

      Gets the value of the any property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

      For example, to add a new item, do as follows:

           getAny().add(newItem);

      Objects of the following type(s) are allowed in the list `Element` `Object`

      Returns:
        list of objects

    - #### getHref

          public String getHref()

      Gets the value of the href property.
      Returns:
        possible object is `String`

    - #### setHref

          public void setHref​(String value)

      Sets the value of the href property.
      Parameters:
        `value` - allowed object is `String`